View Issue Details

IDProjectCategoryView StatusLast Update
0001227LazarusWidgetsetpublic2006-02-03 14:44
ReporterJesus Reyes Assigned ToMicha Nelissen  
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSWindows 
Product Version0.9.9 (SVN) 
Fixed in Version0.9.11 (SVN) 
Summary0001227: Source editor eats first typed character
DescriptionThe source editor sometimes eats the first character typed
after some operations.

I think it's a known problem, but I found a way to reproduce it.

the problem doesn't occur if one uses the
Steps To Reproduce1. Drop a TEdit in form editor
2. Double click the TEdit. Source editor is bring to front an is ready to accept source code
3. type anything, The first

the same happens when doubleclicking the Event in object inspector, it doesn't happen however when clicking the '...' button to add or edit the event in the object inspector.
Additional InformationStill to test in linux
TagsNo tags attached.
Fixed in Revision8004
LazTarget0.9.12
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0001223 closedMicha Nelissen Missing keys 
related to 0001308 closedMicha Nelissen Ctrl+C not always working properly to copy text into clipboard 

Activities

Vincent Snijders

2005-09-28 02:11

manager   ~0001197

Similar behaviour can be seen like this.

1. Create a new project.
2. Select the source editor with the mouse
3. Start compilation by pressing <ctrl>+<F9>
4. Type ab. The a won't be shown in the editor.

Issue History

Date Modified Username Field Change
2005-09-28 00:19 Jesus Reyes New Issue
2005-09-28 00:19 Jesus Reyes Widgetset => Win32
2005-09-28 02:11 Vincent Snijders Target => 0.9.12
2005-09-28 02:11 Vincent Snijders Note Added: 0001197
2005-09-28 02:11 Vincent Snijders Status new => acknowledged
2005-09-28 03:45 Vincent Snijders Relationship added related to 0001223
2005-10-03 14:38 Micha Nelissen Status acknowledged => assigned
2005-10-03 14:38 Micha Nelissen Assigned To => Micha Nelissen
2005-10-14 16:32 Vincent Snijders Relationship added related to 0001308
2005-10-30 10:34 Micha Nelissen Fixed in Revision => 8004
2005-10-30 10:34 Micha Nelissen Status assigned => resolved
2005-10-30 10:34 Micha Nelissen Resolution open => fixed
2005-10-30 10:34 Micha Nelissen Category IDE => Widgetset
2005-10-30 10:34 Micha Nelissen Fixed in Version => 0.9.11 (SVN)
2006-02-03 14:44 Marc Weustink Status resolved => closed